Bug 1126460 - deploying new app from subscription repo does nothing
Summary: deploying new app from subscription repo does nothing
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Content
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: JON 3.4.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 13:28 UTC by Armine Hovsepyan
Modified: 2019-05-20 15:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-20 15:01:36 UTC
Type: Bug


Attachments (Terms of Use)
agent.log (1.79 MB, text/plain)
2014-09-19 10:23 UTC, Armine Hovsepyan
no flags Details
server.log (194.21 KB, text/plain)
2014-09-19 10:23 UTC, Armine Hovsepyan
no flags Details
deploy_from_repo (131.04 KB, application/octet-stream)
2014-09-19 10:24 UTC, Armine Hovsepyan
no flags Details
agent-debug.log (5.64 KB, text/plain)
2014-09-19 10:29 UTC, Armine Hovsepyan
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1126044 None CLOSED Deployment content new war cannot be displayed 2019-05-20 14:58:39 UTC
Red Hat Bugzilla 1144378 None CLOSED IllegalStateException while uploading new package to repository after deleting existing packages 2019-05-20 14:58:39 UTC

Internal Links: 1126044 1144378

Description Armine Hovsepyan 2014-08-04 13:28:41 UTC
Description of problem:
deploying new  app from subscription repo does nothing 

Version-Release number of selected component (if applicable):
JON 3.3

How reproducible:
always


Steps to Reproduce:
1.  Start JBoss EAP 6.1 standalone server.
2.  Start JBoss ON 3.2 system.
3.  Import JBoss EAP server into inventory.
4.  Configure connection settings for newly imported resource.
5.  Deploy jboss-as-helloworld.war to JBoss EAP server.

6.  Create test repository from Administration > Content / Repositories:

    *   *Name*: `Test Repo`

7.  From Test Repo upload a new version of helloworld WAR:

    *   *Upload File*:  jboss-as-helloworld-1.0.1.war (any WAR will do)
    *   *Type*: *File [Deployment:JBossAS7]*

8.  Subscribe the imported JBoss EAP server to *Test Repo*:
    
    1.  Under *Resources Subscribed To This Repository* click *SUBSCRIBE...* button.
    2.  For search, enter `jboss-as-helloworld.war` and set type drop-down to *Service* and click search.
    3.  Check jboss-as-helloworld.war resource which was returned.
    4.  Click *SUBSCRIBE SELECTED*.
    
9.  Navigate to the content page of the jboss-as-helloworld.war resource.
10. Select the new tab.
11. Check one of the new versions of jboss-as-helloworld.war (jboss-as-helloworld-1.0.1.war).
12. Click *DEPLOY SELECTED*.

Actual results:
nothing happens - no log in agent at all

Expected results:
either new app is installed on top of the existing one (upgraded) OR a meaningful error message is visible on page and agent.log telling why the new version is not installed.


Additional info:

If the new war is installed by uploading from resourceId/content/new page, app is updated, while the install from subscription repository does nothing

The following log is logged while installed an app by upload ->
 [ResourceContainer.invoker.nonDaemon-7] (rhq.modules.plugins.jbossas7.BaseComponent)- Deploying Deployment Resource with key [PackageDetailsKey[Name=helloworld-1.2.1.war, Version=[sha256=1ada8053ec74e678b28be4cb54feac8a9b7dadd0f5189bc2c7a9fb198f54b002] Arch=noarch Type=file]]...
 INFO  [ResourceContainer.invoker.nonDaemon-7] (rhq.modules.plugins.jbossas7.BaseComponent)- Result of deployment of Deployment Resource with key [PackageDetailsKey[Name=helloworld-1.2.1.war, Version=[sha256=1ada8053ec74e678b28be4cb54feac8a9b7dadd0f5189bc2c7a9fb198f54b002] Arch=noarch Type=file]]: SUCCESS

Comment 2 Armine Hovsepyan 2014-09-19 10:23:11 UTC
Created attachment 939192 [details]
agent.log

Comment 3 Armine Hovsepyan 2014-09-19 10:23:27 UTC
Created attachment 939193 [details]
server.log

Comment 4 Armine Hovsepyan 2014-09-19 10:24:20 UTC
Created attachment 939194 [details]
deploy_from_repo

Comment 5 Armine Hovsepyan 2014-09-19 10:25:50 UTC
Unable to deploy new war from content -- screenshot and logs attached.
Re-assigning. 

Initial thought - issue is visible when another content repo is created during the bundle deployment.

Comment 6 Armine Hovsepyan 2014-09-19 10:29:34 UTC
Created attachment 939196 [details]
agent-debug.log

Comment 7 Thomas Segismont 2014-09-19 15:18:34 UTC
Armine, I just tried, do you see nothing under the Content > History tab?

Comment 8 Thomas Segismont 2014-09-19 15:52:51 UTC
I can't reproduce on a fresh master build. Please clarify the reproduction steps (in Comment 5 you mention another repo was created during bundle deployment?)

Comment 9 Thomas Segismont 2014-09-19 15:58:14 UTC
For the record, the server log (attachment 939193 [details]) shows:

javax.persistence.NoResultException: No entity found for query

This happens in ContentManagerBean#createDeployRequest while executing:
========
Query packageVersionQuery = entityManager
    .createNamedQuery(PackageVersion.QUERY_FIND_BY_PACKAGE_DETAILS_KEY_WITH_NON_NULL_RESOURCE_TYPE);
packageVersionQuery.setParameter("packageName", key.getName());
packageVersionQuery.setParameter("packageTypeName", key.getPackageTypeName());
packageVersionQuery.setParameter("architectureName", key.getArchitectureName());
packageVersionQuery.setParameter("version", key.getVersion());
packageVersionQuery.setParameter("resourceTypeId", resource.getResourceType().getId());

PackageVersion packageVersion = (PackageVersion) packageVersionQuery.getSingleResult();
========

Comment 10 Armine Hovsepyan 2014-09-22 07:38:09 UTC
To reproduce the issue, please follow steps below:
1. Deploy a bundle to eap server (domain or standalone)
2. Deploy an 'app' to eap standalone server
3. Create repository, upload  'new app' and subscribe to 'app'
4. Navigate to content/new page of 'app'
5. Click on 'new app' package (without deploying new app)

Comment 11 Thomas Segismont 2014-09-22 10:29:52 UTC
(In reply to Armine Hovsepyan from comment #10)
> To reproduce the issue, please follow steps below:
> 1. Deploy a bundle to eap server (domain or standalone)
Which bundle? Please attach it to the BZ
> 2. Deploy an 'app' to eap standalone server
Which application? Please attach it to the BZ
> 3. Create repository, upload  'new app' and subscribe to 'app'
> 4. Navigate to content/new page of 'app'
> 5. Click on 'new app' package (without deploying new app)

Comment 12 Armine Hovsepyan 2014-09-22 13:17:39 UTC
feel free to use bundles from BZ #1139767 and helloworld.war  from #1118394 for 'app' and 'new app' (with just a smile change into existing war).

Comment 17 Filip Brychta 2019-05-20 15:01:36 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.